<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{AC8F64B9-6A00-40FC-85B9-FF2BD042B63D}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Quadarax.Foundation.QConsole</RootNamespace>
    <AssemblyName>QDR.FND.QConsole</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>quadarax_strong_name_key.pfx</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>quadarax_dll.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="QDR.FND.Common, Version=1.0.0.5, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\Quadarax.Foundation.Common.1.0.0.5\lib\net472\QDR.FND.Common.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Argument\AbstractArgument.cs" />
    <Compile Include="Argument\FlagArgument.cs" />
    <Compile Include="Argument\NamedArgument.cs" />
    <Compile Include="Argument\OrdinalArgument.cs" />
    <Compile Include="Attributes\CommandDefinitionAttribute.cs" />
    <Compile Include="Command\Base\AbstractCommand.cs" />
    <Compile Include="Command\Base\AbstractListCommand.cs" />
    <Compile Include="Command\Base\AbstractSelectionCommand.cs" />
    <Compile Include="Command\Base\ISelectionEntry.cs" />
    <Compile Include="Command\Defaults\CmdClear.cs" />
    <Compile Include="Command\Defaults\CmdExit.cs" />
    <Compile Include="Command\Defaults\CmdHelp.cs" />
    <Compile Include="Command\Defaults\CmdPrint.cs" />
    <Compile Include="Command\Defaults\CmdSelection.cs" />
    <Compile Include="Configuration\StartupConfiguration.cs" />
    <Compile Include="Constants.cs" />
    <Compile Include="Context\DefaultCommandContext.cs" />
    <Compile Include="Context\DefualtEngineContext.cs" />
    <Compile Include="Context\ICommandContext.cs" />
    <Compile Include="Context\IEngineContext.cs" />
    <Compile Include="Context\IQConsoleContext.cs" />
    <Compile Include="DebugConsoleWriter.cs" />
    <Compile Include="Defaults.cs" />
    <Compile Include="Engine.cs" />
    <Compile Include="Extensions\AbstractArgumentExt.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Value\AbstractValue.cs" />
    <Compile Include="Value\BoolValue.cs" />
    <Compile Include="Value\DateTimeValue.cs" />
    <Compile Include="Value\DateValue.cs" />
    <Compile Include="Value\DecimalValue.cs" />
    <Compile Include="Value\GuidValue.cs" />
    <Compile Include="Value\IntegerValue.cs" />
    <Compile Include="Value\StringValue.cs" />
    <Compile Include="Value\TimeValue.cs" />
    <Compile Include="Value\TypeValuesEnum.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="create_package.ps1" />
    <None Include="packages.config" />
    <None Include="QDR.FND.QConsole.nuspec" />
    <None Include="quadarax_strong_name_key.pfx" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Parser\" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="quadarax_dll.ico" />
    <Content Include="ReleaseNote.txt" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>